# Module `transient`

### Info:

- Copyright: 2010 Uli Schlachter
- Release: v3.5.5
- Author: Uli Schlachter

## Functions

set_widget (widget) | Set the widget that the transient displays
set_bg (c) | Set the background of the transient
set_fg (c) | Set the foreground of the transient
show () | Show the transient window according to the timeout set when creating the transient window
draw (transient) | Redraw a transient.

## Tables

transient | This provides widget box windows.
drawin | Widget box object.

## Functions

set_widget (widget)
  Set the widget that the transient displays

  ### Parameters:

  - widget
set_bg (c)
  Set the background of the transient

  ### Parameters:

  - c The background to use. This must either be a cairo pattern object, nil or a string that gears.color() understands.
set_fg (c)
  Set the foreground of the transient

  ### Parameters:

  - c The foreground to use. This must either be a cairo pattern object, nil or a string that gears.color() understands.
show ()
  Show the transient window according to the timeout set when creating the transient window
draw (transient)
  Redraw a transient. You should never have to call this explicitely because it is automatically called when needed.

  ### Parameters:

  - transient

## Tables

transient
  This provides widget box windows. Every transient can also be used as if it were a drawin. All drawin functions and properties are also available on transientes! transient

  ### Fields:

  - mt
drawin
  Widget box object. Every transient "inherits" from a drawin and you can use all of drawin's functions directly on this as well. When creating a transient, you can specify a "fg" and a "bg" color as keys in the table that is passed to the constructor. All other arguments will be passed to drawin's constructor.

generated by LDoc 1.4.2